Splitting();

jQuery(document).ready(function(){
  
  	var objElement = jQuery("#{{uc_id}}");

	function isElementInViewport(objElement) {

		var elementTop = objElement.offset().top;
		var elementBottom = elementTop + objElement.outerHeight();

		var viewportTop = jQuery(window).scrollTop();
		var viewportBottom = viewportTop + jQuery(window).height();

		return elementBottom > viewportTop && elementTop < viewportBottom;
	}
	  
	function checkAnimation(){
		
      	var classVisible = 'uc-was-visible';
      	var classAnimated = 'uc-animated';
			
		var isInViewport = isElementInViewport(objElement);
        var dataRevealEachScroll = objElement.data('reveal-eachscroll');
			
		if(isInViewport == false && dataRevealEachScroll == true){
          
        	objElement.removeClass(classVisible);
          	objElement.removeClass(classAnimated);
          
          	return(false);
        }
		          
        if(isInViewport == false && dataRevealEachScroll == false)
		return(false);
						
		objElement.addClass(classVisible);
			
		setTimeout(function(){
          
			objElement.addClass(classAnimated);
          
		},{{animation_delay}});
		
	}
	
	checkAnimation();
	
	jQuery(window).on("scroll",checkAnimation);
	
});