{% if ucfunc("run_code_once", "uc_splitting_css") == true %}

.uc-splitting-text{
	display:flex;
	visibility:hidden;
}

.uc-splitting-text-wrapper
{
  display:flex;
  flex-wrap: wrap;
}

.uc-splitting-text-item
{
  display:inline-flex;
  flex-wrap: wrap;
}

.uc-splitting-text .word{
   display:inline-flex;
}

.uc-splitting-text.uc-animated{
	visibility:visible;
}


@keyframes ue_slide {
  from {
    transform: translateY(-1em) rotate(-.5turn) scale(0.5);
    opacity: 0;
  }
}

@keyframes ue_flip {
  from {
    transform: rotate(360deg) scale(0.5);
    opacity: 0;
  }
}


@keyframes ue_blur {
  from {
    transform: translateY(-1000px) scaleY(2.5) scaleX(0.2);
    transform-origin: 50% 0%;
    filter: blur(40px);
    opacity: 0;
  }
}

@keyframes ue_puff {
  from {
    transform: scale(2);
    filter: blur(4px);
    opacity: 0;
  }
}

@keyframes ue_tilt {
  from {
    transform: rotateY(20deg) rotateX(35deg) translate(300px, -300px) skew(-35deg, 10deg);
    opacity: 0;
  }
}

@keyframes ue_scale {
  from {
    transform: scale(0);
    opacity: 0;
  }
}
            

{%endif%}

#{{uc_id}}.uc-animated .char {
  animation: {{animation}} 1s cubic-bezier(.5, 0, .5, 1) both;
  animation-delay: calc({{animation_speed}}ms * var(--char-index));
}